#ifndef MANIFEST_H_INCL
#define MANIFEST_H_INCL


#define MANIFEST_APPNAME                 "The Truth"

#define MANIFEST_WINDOW_W                640
#define MANIFEST_WINDOW_H                480
#define MANIFEST_WINDOW_MIN_SIZE         true
#define MANIFEST_WINDOW_MINW             640    // Window minimum size.
#define MANIFEST_WINDOW_MINH             480    // ^
#define MANIFEST_WINDOW_MAX_SIZE         false
#define MANIFEST_WINDOW_MAXW             9000   // Window maximum size.
#define MANIFEST_WINDOW_MAXH             9000   // ^
#define MANIFEST_WINDOW_INITIAL_STATE    1      // 0 for windowed, 1 for maximized, 2 for fullscreen
#define MANIFEST_WINDOW_RESIZABLE        true

#define MANIFEST_SYSTEM_FPS              60
#define MANIFEST_SYSTEM_ENABLE_ALT_ENTER true   // Enable fullscreen toggle with Alt+Enter.
#define MANIFEST_SYSTEM_VSYNC            false

#define MANIFEST_OPENGL_MAJOR            2
#define MANIFEST_OPENGL_MINOR            1
#define MANIFEST_OPENGL_PROFILE          1      // 0 = Core, 1 = Compat, 2 = ES. Windows -> 1, Mac OS -> 0, Linux -> ?, Android -> 2.
#define MANIFEST_OPENGL_FORWARD_COMPAT   false  // 1 is necessary on mac, sucks on windows and probably sucks on linux and android.
#define MANIFEST_OPENGL_MSAA             0      // Antialiasing. 0 and 1 are same and mean no antialiasing. Possible values: 0, 1, 2, 4, 8, 16.

#define MANIFEST_FEATURE_AUDIO           true
#define MANIFEST_AUDIO_MONO_SRCS         248    // Maximum amount of mono audio sources, don't touch it.
#define MANIFEST_AUDIO_STEREO_SRCS       8      // Maximum amount of stereo audio sources, don't touch it.
#define MANIFEST_AUDIO_DOPPLER_FACTOR    1.0f   // How big is freq change when sound source moves fast relative to listener.
#define MANIFEST_AUDIO_SPEED_OF_SOUND    343.3f // Defines what 'fast' from previous line means.
#define MANIFEST_AUDIO_REF_DISTANCE      240    // Aka nearest possible distance for audio sources. If distance is lesser than it, volume is maxed.
#define MANIFEST_AUDIO_MAX_DISTANCE      640    // Aka largest clamping distance. If distance is larger than it, volume won't change.
#define MANIFEST_AUDIO_ROLLOFF_FACTOR    1.0f   // Increases speed at which sound get quieter.

#define MANIFEST_FEATURE_TOUCH_INPUT     false  // Sligtly changes return value of mouse input funtions.
#define MANIFEST_FEATURE_CRAPPY_TIMER    false  // FPS and timing becomes less precise, but it can save battery charge and system performance.





#endif