#ifndef MAIN_H_INCL
#define MAIN_H_INCL

#include "libsdl.h"

namespace Main
{
	const char *EngineVersion();
	const char *GetDefaultMsgTitle();
	const char *GetDefaultMsgWarnTitle();
	const char *GetDefaultMsgErrorTitle();
	void Msg(const char *txt, const char *title = GetDefaultMsgTitle());
	void Msg_Warn(const char *txt, const char *title = GetDefaultMsgWarnTitle());
	void Msg_Error(const char *txt, const char *title = GetDefaultMsgErrorTitle());
	// "Modal" = freezes the window until closed
	void ModalMsg(const char *txt, const char *title = GetDefaultMsgTitle());
	void ModalMsg_Warn(const char *txt, const char *title = GetDefaultMsgWarnTitle());
	void ModalMsg_Error(const char *txt, const char *title = GetDefaultMsgErrorTitle());

	[[noreturn]] void Exit();
	[[noreturn]] void Exit(const char *);
	int argc();
	const char *const *argv();

	class StateFunc
	{
	  public:
	  	using PtrType = StateFunc (*)();

		PtrType ptr;

		StateFunc() {}
		StateFunc(PtrType p)
		{
			ptr = (decltype (ptr)) p;
		}
		operator PtrType()
		{
			return ptr;
		}
	};
}

#endif