#include "shaders.h"

namespace ShaderCode
{
	namespace Master
	{
		const char *const v = R"(
#version 120

uniform mat4 u_mat;
uniform vec2 u_texsz;
uniform float u_scale;

attribute vec2 in_p;
attribute vec2 in_t;
attribute mat4 in_cm;

varying vec2 v_t;
varying mat4 v_cm;

void main()
{
	gl_Position = vec4(in_p.x * u_scale, in_p.y * u_scale, 0, 1) * u_mat;
	v_t = in_t / u_texsz;
	v_cm = in_cm;
})";
		const char *const f = R"(
#version 120

uniform sampler2D u_tex;
uniform mat4 u_mastercm;

varying vec2 v_t;
varying mat4 v_cm;

void main()
{
	vec4 s = texture2D(u_tex, v_t);
	mat4 cm;
	float tmp;

	cm = v_cm;
	tmp = cm[3][3];
	cm[3][3] = s.a;
	s.a = tmp;
	s = cm * s;

	cm = u_mastercm;
	tmp = cm[3][3];
	cm[3][3] = s.a;
	s.a = tmp;

	gl_FragColor = cm * s;
}
)";
	}
}